# Generated by Django 3.2.8 on 2022-04-08 10:46

import django.contrib.postgres.fields
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('recommender', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApcMax',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.IntegerField()),
                ('currency', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('idx', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('title', models.TextField(null=True)),
                ('abstract', models.TextField(null=True)),
                ('month', models.IntegerField(null=True)),
                ('year', models.IntegerField(null=True)),
                ('last_updated', models.DateTimeField()),
                ('doi', models.CharField(db_index=True, max_length=300, null=True)),
                ('journal_issns', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True, size=None)),
            ],
        ),
        migrations.CreateModel(
            name='Citation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('frm', models.CharField(max_length=300)),
                ('tow', models.CharField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='CrossrefArticle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('issn', models.CharField(db_index=True, max_length=20)),
                ('doi', models.CharField(db_index=True, max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='DatasetState',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dataset', models.CharField(max_length=20)),
                ('date', models.DateTimeField(default=django.utils.timezone.now)),
                ('state', models.CharField(choices=[('failed', 'Failed'), ('updated', 'Updated'), ('running', 'Running')], max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='EditorialReviewProcess',
            fields=[
                ('process', models.CharField(max_length=100, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='IsReplacedBy',
            fields=[
                ('replacement', models.CharField(max_length=300, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Keyword',
            fields=[
                ('keyword', models.CharField(max_length=2000, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Language',
            fields=[
                ('lang', models.CharField(max_length=400, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='License',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nc', models.BooleanField(null=True)),
                ('nd', models.BooleanField(null=True)),
                ('by', models.BooleanField(null=True)),
                ('sa', models.BooleanField(null=True)),
                ('typex', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PlansCompliance',
            fields=[
                ('issn', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('compliant', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('code', models.CharField(max_length=200, primary_key=True, serialize=False)),
                ('scheme', models.CharField(max_length=10)),
                ('term', models.CharField(max_length=400)),
            ],
        ),
        migrations.CreateModel(
            name='Journal',
            fields=[
                ('idx', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('aims_scope', models.CharField(max_length=1000, null=True)),
                ('copyright_author_retains', models.BooleanField(null=True)),
                ('created_date', models.DateTimeField()),
                ('discontinued_date', models.DateTimeField(null=True)),
                ('doi_pid_scheme', models.BooleanField()),
                ('editorial_board_url', models.CharField(max_length=1000, null=True)),
                ('eissn', models.CharField(db_index=True, max_length=10, null=True)),
                ('has_apc', models.BooleanField(null=True)),
                ('has_other_charges', models.BooleanField(null=True)),
                ('has_pid_scheme', models.BooleanField(null=True)),
                ('last_updated', models.DateTimeField()),
                ('other_charges_has_other_charges', models.BooleanField(null=True)),
                ('pissn', models.CharField(db_index=True, max_length=10, null=True)),
                ('publication_time_weeks', models.IntegerField(null=True)),
                ('publisher_country', models.CharField(max_length=1000, null=True)),
                ('publisher_name', models.CharField(max_length=1000, null=True)),
                ('preservation_has_preservation', models.BooleanField(null=True)),
                ('ref_journal', models.CharField(max_length=1000, null=True)),
                ('ref_author_instructions', models.CharField(max_length=1000, null=True)),
                ('title', models.CharField(max_length=1000, null=True)),
                ('apc_max', models.ManyToManyField(related_name='journals', to='recommender.ApcMax')),
                ('editorial_review_process', models.ManyToManyField(related_name='journals', to='recommender.EditorialReviewProcess')),
                ('is_replaced_by', models.ManyToManyField(related_name='journals', to='recommender.IsReplacedBy')),
                ('keywords', models.ManyToManyField(related_name='journals', to='recommender.Keyword')),
                ('languages', models.ManyToManyField(related_name='journals', to='recommender.Language')),
                ('licenses', models.ManyToManyField(related_name='journals', to='recommender.License')),
                ('subjects', models.ManyToManyField(related_name='journals', to='recommender.Subject')),
            ],
        ),
    ]
